Subject: Debian maintainers deliberately breaks unmerged systems: Was: Re: bug#813:...

From: Svante Signell <[email-masked]>
Date: Tue, 05 Dec 2023 16:31:39 +0100

On Tue, 2023-12-05 at 12:53 +0000, Mark Hindley wrote:
> Control: reassign -1 devuan-project
> Control: forcemerge 810 -1
> Control: affects -1 netcat-traditional
> 
> On Mon, Dec 04, 2023 at 03:28:48PM +0100, Svante Signell wrote:
> > You should not be forced to install usrmerge in a Devuan system. That
> > package will be forked by Devuan.
> 
> Svante,
> 
> I am not sure either of these assertions is agreed Devuan policy.
> 

Maybe I should have written "will (probably) be forked by Devuan"
Nevertheless, reassigning the bugs 810, 812 and 813 to devuan-project means
what? Do we continue the discussion or is the project decision that all packages
coming from Debian showing this foul play will silently be hidden by a
recommendation to install usrmerge on Devuan/Ceres/Excalibur?

In my opinion this is to give up on their dictatorship! See further comments
below!

> Arthur,
> 
> Installing usrmerge should fix this which Devuan has inherited (however
> unwelcome that may be) from Debian. See[1] for a fuller explanation.
> 
> Reassigning and merging.
> 
> Mark
> 
> [1]  https://bugs.devuan.org/cgi/bugreport.cgi?bug=810#15
> 
Quoting from bug=810#26 and #31:

bug=810#26
> > Believe me that I think this Debian exercise is a waste of time, driven by
> > systemd dogma. However, for Devaun to attempt to fork every Debian package
> would
> > just waste even more time. I do not believe this to be worthwhile.
> 
> Yes, that is a disaster... My hope was, that at least Devuan is able to
> mitigate it and keeping up the good quality that Debian was before
> systemd.
> 
> However, I also see that there seems to be only few persons behind to do
> the work.
> 
> > I imagine you will suggest forking wpasupplicant, however that one package
> is not the fundamental issue here. Most, maybe all Debian packages are going
> to have their binaries moved in the next few months and for Devuan to resist
> by forking would be unsustainable.
> 
> It might be needed to fork the distribution completely. Well, at least
> with the main packages. There could still be some compatibility left for
> contrib and non-free. I mean, debian was small too in the past. Why not
> start from scratch? (You even don't need to start without anything)
> Maybe it is time for a cut.
> 
> I try to fix packages myself as I did for openssh[0], pcre2[1] and since
> today pcsc-lite[2]. And I have now a massive ansible role to fix all the
> debian bugs as well as nagios check for broken libraries that should be
> in /lib.
> 
> > I believe you have two options (I fear you will find neither palatable, for
> > which I apologise):-
> > 
> >  - Install Daedalus and do not upgrade beyond that.
> > 
> >  - Install the usrmerge package.
> 
> The last one will never be an option for me! Before that I would destroy
> all my computers first or migrate to windows! (What, if you know me, I
> would never do.)
> 
> The first would be a solution only up to when the support for that
> distribution ends.
> 

bug=810#31
> > 
> > > > Believe me that I think this Debian exercise is a waste of time,
> > > > driven by systemd dogma. However, for Devaun to attempt to fork
> > > > every Debian package would just waste even more time. I do not
> > > > believe this to be worthwhile.
> > > 
> > 
> > It seems to be around 40 packages according to Lorenzo, not too many. I
> > volunteer to adopt 5-10 of them. Just let me know.
> > 
> > Yes, that is a disaster... My hope was, that at least Devuan is able
> > to mitigate it and keeping up the good quality that Debian was before
> > systemd.
> > 
> > However, I also see that there seems to be only few persons behind to
> > do the work.
> 
> Count me in! If we won't resist Debian brainless merged /usr, I'll
> have no motivation to create a Devuan Port of GNU/Hurd.

> > It might be needed to fork the distribution completely. Well, at
> > least with the main packages. There could still be some compatibility
> > left for contrib and non-free. I mean, debian was small too in the
> > past. Why not start from scratch? (You even don't need to start
> > without anything) Maybe it is time for a cut.
> > 
> 
> Yes, please!
> 
> I recently moverd all my desktops and laptops to Devuan/Daedalus, and
> would prefer to continue with Devuan!
> 
> Otherwise, I would switch to Guix if Devuan no longer is an
> alternative. Never again adopt Debian/RedHat madness!